## org.apache.solr.common.cloud
Class ZkOperation

    java.lang.Object
      org.apache.solr.common.cloud.ZkOperation

    public abstract class ZkOperation

extends Object

A callback object which can be used for implementing retry-able operations.

Constructor Summary
`ZkOperation()`

Method Summary
`abstract Object` `execute()` Performs the operation - which may be involved multiple times if the connection to ZooKeeper closes during this operation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZkOperation

    public ZkOperation()

Method Detail

### execute

    public abstract Object execute()
                            throws org.apache.zookeeper.KeeperException,
                                   InterruptedException

  Performs the operation - which may be involved multiple times if the connection to ZooKeeper closes during this operation

  Returns:
    the result of the operation or null
  Throws:
    `org.apache.zookeeper.KeeperException`
    `InterruptedException`